{
	"description": "Point filters applied in addition to the application-defined filters",
	"type": "object",
	"$schema": "http://json-schema.org/draft-04/schema#",
	"title": "Stored filters",
	"required": [
		"activated",
		"filters"
	],
	"properties": {
		"activated": {
			"description": "Apply ('true') or ignore ('false') all filters",
			"type": "boolean"
		},
		"filters": {
			"description": "List of point filters",
			"type": "array",
			"items": {
				"description": "Point filter definition",
				"type": "object",
				"properties": {
					"activated": {
						"description": "Apply ('true') or ignore ('false') this filter",
						"type": "boolean"
					},
					"description": {
						"description": "A brief description of the filter (e.g. for display in a tooltip)",
						"type": "string"
					},
					"title": {
						"description": "A short filter title (e.g. for display in a selection list)",
						"type": "string"
					},
					"filter": {
						"description": "The RDB filter string to apply (e.g. when reading points or index), details see documentation of function select()",
						"type": "string"
					}
				},
				"required": [
					"activated",
					"title",
					"description",
					"filter"
				]
			}
		}
	}
}